Subject: Re: bug#43389: 28.0.50; Emacs memory leaks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Nov 2020 22:13:56 +0200

> Date: Sat, 28 Nov 2020 20:56:31 +0100
> From: Russell Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked], [email-masked]
> 
> I find particularly of interest the growth of Emacs processes while
> idle.
> 
> Yesterday I restarted Emacs and over the next 18 hours I left my
> laptop idle with Emacs as the focused application. My Emacs has grown
> to 3GB and every time I select my Emacs window it will grow by a few
> MB while I watch in htop.

Is there any way to get a trace/record of X events that are delivered
to Emacs during this kind of idleness?  Those events and the timers
are, I think, the only things that are going inside such an idle
session.